Bug 116102 - ODF: first-page header/footer cannot be read by LO version < 5.3.6
Summary: ODF: first-page header/footer cannot be read by LO version < 5.3.6
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.0.0.3 release
Hardware: All All
: medium normal
Assignee: Michael Stahl (CIB)
URL:
Whiteboard: odf target:6.0.3
Keywords:
Depends on:
Blocks:
 
Reported: 2018-03-01 03:53 UTC by Andrew
Modified: 2018-03-01 14:09 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
header footer error (8.86 KB, application/vnd.oasis.opendocument.text)
2018-03-01 03:53 UTC, Andrew
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew 2018-03-01 03:53:02 UTC
Created attachment 140237 [details]
header footer error

This file is maked with LO6. It contains different header and footer with first page and another pages. When it opened in LO 5.3.4 or older then you see only default header and footer. If it opened in LO 5.3.6 or newer then you can see both first page and default header/footer. You can save this file with 5.3.6 and newer but not in 6 to correctly open in any version of LO.
Comment 1 Commit Notification 2018-03-01 13:31:20 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a75b4cefe89a8e9ebf0c1c0563390d076e85dc49&h=libreoffice-6-0

tdf#116102 Revert "tdf#109080 First page header/footer ODF (2/2)"

It will be available in 6.0.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Michael Stahl (CIB) 2018-03-01 14:09:05 UTC
this was an intentional change for bug 109080 because the used element
name was not valid, but the patch to read the valid name is only
in 5.3.6, not older versions.

so we should delay this another release cycle and write
the valid name only in LO 6.1.